Bug 1733101

Summary: Review Request: clingo - A grounder and solver for logic programs
Product: [Fedora] Fedora Reporter: Till Hofmann <thofmann>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: logans, package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: clingo-5.3.0-5.fc31 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-20 08:37:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1225692, 1093522    

Description Till Hofmann 2019-07-25 08:23:27 UTC
Spec URL: https://thofmann.fedorapeople.org/clingo.spec
SRPM URL: https://thofmann.fedorapeople.org/clingo-5.3.0-4.fc29.src.rpm
Description:
Clingo is part of the Potassco project for Answer Set Programming
(ASP). ASP offers a simple and powerful modeling language to describe
combinatorial problems as logic programs. The clingo system then takes
such a logic program and computes answer sets representing solutions
to the given problem.

Fedora Account System Username: thofmann
koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=36499825

Comment 1 Robert-André Mauchin 2019-07-26 16:15:32 UTC
 - In order to avoid unintentional soname bump, we forbid globbing the major soname version, be more specific instead:

%{_libdir}/*.so.*
%{_libdir}/libluaclingo.so.*
%{_libdir}/libpyclingo.so.*

 - add a comment for each patch explaining why they are needed

 - There's already an opened review for this package: https://bugzilla.redhat.com/show_bug.cgi?id=1093521 Mark it as duplicate of this one


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "GNU General Public License (v3)",
     "Expat License", "*No copyright* GPL (v3 or later)", "GPL (v3 or
     later)". 554 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/clingo/review-
     clingo/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: clingo-5.3.0-4.fc31.x86_64.rpm
          clingo-devel-5.3.0-4.fc31.x86_64.rpm
          lua-clingo-5.3.0-4.fc31.x86_64.rpm
          python3-clingo-5.3.0-4.fc31.x86_64.rpm
          clingo-debuginfo-5.3.0-4.fc31.x86_64.rpm
          clingo-debugsource-5.3.0-4.fc31.x86_64.rpm
          clingo-5.3.0-4.fc31.src.rpm
clingo.x86_64: W: spelling-error %description -l en_US combinatorial -> combination
clingo.x86_64: W: invalid-url URL: https://potassco.org/clingo/ <urlopen error [Errno -2] Name or service not known>
clingo.x86_64: W: shared-lib-calls-exit /usr/lib64/libclingo.so.2.0 _exit@GLIBC_2.2.5
clingo.x86_64: W: no-manual-page-for-binary clasp
clingo.x86_64: W: no-manual-page-for-binary clingo
clingo.x86_64: W: no-manual-page-for-binary gringo
clingo.x86_64: W: no-manual-page-for-binary lpconvert
clingo.x86_64: W: no-manual-page-for-binary reify
clingo-devel.x86_64: W: no-documentation
lua-clingo.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
lua-clingo.x86_64: W: no-documentation
python3-clingo.x86_64: W: spelling-error %description -l en_US instantiation -> instantiate, substantiation, installation
python3-clingo.x86_64: W: spelling-error %description -l en_US builts -> built, builds, built s
python3-clingo.x86_64: W: spelling-error %description -l en_US pre -> per, ore, pee
python3-clingo.x86_64: W: no-documentation
clingo.src: W: spelling-error %description -l en_US combinatorial -> combination
7 packages and 0 specfiles checked; 0 errors, 16 warnings.

Comment 2 Till Hofmann 2019-07-26 22:42:33 UTC
*** Bug 1093521 has been marked as a duplicate of this bug. ***

Comment 3 Till Hofmann 2019-07-26 22:43:56 UTC
Spec URL: https://thofmann.fedorapeople.org/clingo.spec
SRPM URL: https://thofmann.fedorapeople.org/clingo-5.3.0-5.fc30.src.rpm

Thanks for your comments! I applied all your suggestions.

Comment 4 Robert-André Mauchin 2019-07-26 22:59:28 UTC
Package approved.

Comment 5 Till Hofmann 2019-07-27 07:14:50 UTC
Thank you for the review!

Comment 6 Igor Gnatenko 2019-07-29 08:34:00 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/clingo